CVE-2021-25291

NameCVE-2021-25291
DescriptionAn issue was discovered in Pillow before 8.1.1. In TiffDecode.c, there is an out-of-bounds read in TiffreadRGBATile via invalid tile boundaries.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pillow (PTS)buster, buster (security)5.4.1-2+deb10u3vulnerable
bullseye (security), bullseye8.1.2+dfsg-0.3+deb11u1fixed
bookworm, sid9.2.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pillowsourcestretch(not affected)
pillowsource(unstable)8.1.1-1

Notes

[buster] - pillow <ignored> (Minor issue)
[stretch] - pillow <not-affected> (Vulnerable code introduced later)
https://pillow.readthedocs.io/en/stable/releasenotes/8.1.1.html
https://github.com/python-pillow/Pillow/commit/8b8076bdcb3815be0ef0d279651d8d1342b8ea61
Introduced in: https://github.com/python-pillow/Pillow/commit/e91b851fdc1c914419543f485bdbaa010790719f (6.0.0)

Search for package or bug name: Reporting problems